#' @name Norberg 
#' @title Norberg Life Insurance Data
#' @description Norwegian Life Insurance Exposures and Claims
#' @usage Norberg
#' @format A data frame with 72 observations on the following 3 variables.
#' \itemize{
#'     \item{\code{OccGroup}}{Occupational Group}
#'     \item{\code{Exposure}}{Exposures}
#'     \item{\code{Deaths}}{Observed Deaths}
#' }
#' @details 
#' The data arise from 1125 original groups insured during all or part of
#' the period 1982-85 by a major Nowegian insurance company.  Exposures
#' can be normalize by a factor of 344 as in Hastrup (2000) and then can be
#' interpreted as the apriori expected number of claims (deaths) for each group.
#' The original 1125 groups were aggregated into 72 as in Norberg (1989).
#' @references  Norberg, R. (1989) Experience rating in group life insurance,
#' Scand. Actuarial J.,194-224.
#'
#' Haastrup, S. (2000) Comparison of some Bayesian analyses of heterogeneity 
#' in group life insurance, Scand. Actuarial J.,2-16.
#' @keywords datasets
NULL
